Subject: bug#38030: closed (Re: [bug#38030] [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Nov 2019 21:21:03 +0000

Your bug report

#38030: [PATCH 00/13] Update KDE frameworks and other KDE stuff

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38030: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38030
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38030] [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1
From: Hartmut Goebel <[email-masked]>
To: Marius Bakke <[email-masked]>, [email-masked]
Date: Sun, 10 Nov 2019 22:20:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> I'd prefer if the move was done in a separate commit, to clarify the
> changes done.

Fine for me, done.

> It looks like this was fixed upstream (thanks!).  Can we apply that
> patch instead?
Done.
> I did not look closely at the changes due to the mega-diff, but I trust
> your judgement here.  :-)

:-))

Pushed as 38988dbecf9e1ee83258c5625bb8fdacff82ed3d

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: [PATCH 00/13] Update KDE frameworks and other KDE stuff
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Sat, 2 Nov 2019 10:07:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Notable major points:

* Update KDE Frameworks to 5.63.0
* Add framework parts kcalendarcore, kcontacts, syndication.
* Move kholiday to kde-frameworks.scm since it now is a frameworks part.
* Move kpmcore to kde.scm, since it is a frameworks part.
* Update KDE plasma to 5.17 - but we still only have a few plasma packages.
* Update other KDE packages to current versions.

Hartmut Goebel (13):
  gnu: phonon: Update to 4.11.1.
  gnu: phonon-backend-gstreamer: Update to 4.10.0.
  gnu: kde-frameworks: Update to 5.63.0.
  gnu: Add kcalendarcore.
  gnu: Add kcontacts.
  gnu: Add syndication.
  gnu: kde plasma: Update to 5.17.0.
  gnu: libkomparediff2: Update to 19.08.2.
  gnu: kqtquickcharts: Update to 19.08.2.
  gnu: kdevelop: Update to 5.4.2.
  gnu: krita: Update to 4.2.7.1.
  gnu: ktouch: Update to 19.08.2.
  gnu: kpmcore: Update to 4.0.1

 gnu/packages/education.scm                    |   4 +-
 gnu/packages/kde-frameworks.scm               | 543 +++++++++++-------
 gnu/packages/kde-plasma.scm                   |  16 +-
 gnu/packages/kde.scm                          | 100 ++--
 .../patches/kinit-kdeinit-extra_libs.patch    |   4 +-
 .../patches/kwindowsystem-qt-compat.patch     |  97 ----
 6 files changed, 412 insertions(+), 352 deletions(-)
 delete mode 100644 gnu/packages/patches/kwindowsystem-qt-compat.patch

-- 
2.21.0